using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkResultLaw
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int WorkRequestId { get; set; }
        [StringLength(50)]
        public string CertificationNo { get; set; }
        [Column(TypeName = "numeric(10, 0)")]
        public decimal? CheckCommission { get; set; }
        public bool? CheckResult { get; set; }

        [ForeignKey("SiteId,WorkRequestId")]
        [InverseProperty("FmsWorkResultLaw")]
        public virtual FmsWorkResult FmsWorkResult { get; set; }
    }
}
